Gallery 3.0.6 Feedback Thread

bharat
bharat's picture

Joined: 2002-05-21
Posts: 7993
Posted: Tue, 2013-03-19 20:47

Gallery 3.0.6 has escaped! Quick, catch it!

http://galleryproject.org/gallery_3_0_6
---
Problems? Check gallery3/var/logs
file a bug/feature ticket | upgrade to the latest code! | hacking G3? join us on IRC!

 
snackmaster
snackmaster's picture

Joined: 2005-11-20
Posts: 135
Posted: Thu, 2013-03-21 01:11

Thanks for the update - Upgrade went smooth as silk here as did 3.0.5. 10 minutes from download to complete using FTP.

Version: 3.0.6 (Rive Gauche)
Albums: 84
Photos: 3916
Operating system: Linux 3.2.38-grsec
Apache: Unknown
PHP: 5.3.22
MySQL: 5.1.67-rel14.3-log
Server load: 4.85 4.46 4.02
Graphics toolkit: imagemagick

---
Gallery - 3.0.6
Theme - Wind modified
Site - www.gfisk.com/gallery

 
xeta

Joined: 2011-11-24
Posts: 42
Posted: Thu, 2013-03-21 13:33

Thanks for the new revision. Update worked without problems.

www.xeta.at

 
hikerguy1900
hikerguy1900's picture

Joined: 2013-03-23
Posts: 1
Posted: Sun, 2013-03-24 03:59

Thank you to the development team for this release and their continued work on Gallery. This was my first upgrade and everything went smoothly.

Cheers,
Eric

 
autumneve

Joined: 2012-10-25
Posts: 10
Posted: Tue, 2013-03-26 00:08

Could we please get a feature that allows us to automatically backup, and automatically upgrade, right from the control panel? WordPress integrated this into their software years ago, and it's a lifesaver for people using the software who are photographers first, and programmers/DB admins a very very distant last.

I, for one, would keep my software more up-to-date if doing so didn't involve taking a few hours worth of digging up the (correct) instructions (there are at least two different sets of instructions that I've found so far), getting stuck because there's little explanation of how to properly backup with phpMyAdmin, copying the upgrade to one folder, shuffling old files and new together, chanting three times, spinning in a circle, deleting a folder and hoping it's the right one, and running the upgrader while hoping that you didn't just overwrite your customized theme, plugins, or photo galleries.

It can be done, as WordPress shows, so can we please do it? Thank you.

 
w91803
w91803's picture

Joined: 2009-08-29
Posts: 67
Posted: Mon, 2013-04-01 15:13

http://hktaitung.org/g3
Gallery 3.0.4 (Ricochet)
API = 7.54
PHP = 5.2.12 cgi
Apache/2.0.63

Hi,

After upgrading 3.0.6, I add 6 new pictures. The result is: All are blanks: http://hktaitung.org/g3/index.php/20130321

Is anyone has the same problem? How to fix it?

Thank you.

 
floridave
floridave's picture

Joined: 2003-12-22
Posts: 27300
Posted: Tue, 2013-04-02 01:53

Perhaps a permissions issue on the var directory? Start a new thread with your issue if that is not it, posting the var/logs when you try again.

Dave
_____________________________________________
Blog & G2 || floridave - Gallery Team

 
shadlaws

Joined: 2012-03-14
Posts: 183
Posted: Tue, 2013-04-02 12:19

@autumneve - it's a good suggestion, and something I'd like to get running, too. I'm not sure if it'll make it into 3.1.0, but if not, likely soon.

@w91803 - Hmm, strange. I noticed that the full-size image *is* available, just not the resize and thumb views. I also noticed that your site says it's still running 3.0.4... did you finish the 3.0.6 upgrade?

Shad

 
shug17

Joined: 2009-01-10
Posts: 76
Posted: Thu, 2013-04-04 19:16

I am having problems getting onto 3.0.6.

I missed upgrading from 304 to 305 so was ready to go to 306 tonight.

I was all set - unpacked and uploaded the 306 directory to server, moved VAR and had database details handy. Got through the upgrade OK and then noticed many of the thumbnails missing. Ran the maintenance and they came back.

I got the deactivate modules that others seem to have but after deleting them from the old 302 directory and making sure they were not in the new 306 got rid of most but still get the warning.

Main problem is that I am told that the Gallery 3 module is out of date and that I should upgrade to 57 from 56
But when I do I get a Dang something went wrong screen taking about a exception Module failed to upgrade (line 250 of gallery/helpers/modules)

I have 4 gallery sites to upgrade so would like some help, please, before I set out to do any more.

Thanks Guys

 
shug17

Joined: 2009-01-10
Posts: 76
Posted: Thu, 2013-04-04 20:03

Had a brainwave and I got version 58 from the next test version of gallery and so far so good!

 
Fjellfinn

Joined: 2007-08-31
Posts: 43
Posted: Sat, 2013-04-06 13:44

Please make a automated upgrade process, I agree!
Im still stuck at 3.0.4, too afraid to crash my large collection of photos ;)

 
MikeLFD

Joined: 2013-03-22
Posts: 79
Posted: Sat, 2013-04-06 14:20

shug17-
is there a php.ini file in that folder?
Try renaming it then upgrade modules.
I was having a devil of a time upgrading from 3.0.5 to 3.0.6
Not exactly what your experiencing but similar. I renamed php.ini
and it cleared the errors.

 
shug17

Joined: 2009-01-10
Posts: 76
Posted: Tue, 2013-04-09 19:23

MikeLFD,

NO php.ini in the gallery module folder (if that is where you mean) There is a module.info file which I have changed the version number on but it makes no difference.

The module upgrader tells me I am up-to-date but the warning still comes at the top of each page.

Thanks

 
shadlaws

Joined: 2012-03-14
Posts: 183
Posted: Wed, 2013-04-10 19:32

@shug17 - you should probably change the module.info file back to how it was. The warning message is likely because it's reading the version number incorrectly from the module.info file...